API referenceList bookings

List bookings

Owners see every booking in the workspace. To sync, poll with after_updated_at set to the last updated_at you saw and sort_by=updated_at.

curl -X GET "https://api.meetonbridge.com/v1/bookings?status=example_string&booking_page_id=123e4567-e89b-12d3-a456-426614174000&attendee_email=user%40example.com&after_start=2024-12-25T10%3A00%3A00Z&before_end=2024-12-25T10%3A00%3A00Z&after_created_at=2024-12-25T10%3A00%3A00Z&after_updated_at=2024-12-25T10%3A00%3A00Z&sort_by=start&order=asc&take=50&skip=0" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (bridge_live_...)"
{
  "status": "example_string",
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "status": "confirmed",
      "booking_page": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "John Doe"
      },
      "start": "2024-12-25T10:00:00Z",
      "end": "2024-12-25T10:00:00Z",
      "duration_minutes": 42,
      "attendee": {
        "name": "John Doe",
        "first_name": "null",
        "last_name": "null",
        "email": "user@example.com",
        "timezone": "example_string",
        "phone": "null"
      },
      "guests": [
        "example_string"
      ],
      "notes": "null",
      "responses": [
        {
          "id": "example_string",
          "question": "null",
          "type": "null",
          "answer": "null"
        }
      ],
      "sms_consent": "null",
      "location": {
        "type": "bridge",
        "address": "null",
        "maps_url": "null",
        "meeting_url": "null"
      },
      "hosts": [
        {
          "id": 123,
          "name": "John Doe",
          "email": "null"
        }
      ],
      "utm": {},
      "cancellation": "null",
      "rescheduled_at": "null",
      "created_at": "2024-12-25T10:00:00Z",
      "updated_at": "2024-12-25T10:00:00Z"
    }
  ],
  "pagination": {
    "total": 42,
    "take": 42,
    "skip": 42,
    "has_more": true
  }
}
GET
/bookings
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token (bridge_live_...)
Bearer Tokenstring
Required

Bearer token (bridge_live_...) - just enter the token, "Bearer" prefix will be added automatically

query
statusstring

confirmed, cancelled, or both comma-separated

query
after_startstring
Format: date-time
query
before_endstring
Format: date-time
query
sort_bystring
Options: start, created_at, updated_at
query
orderstring
Options: asc, desc
query
takeinteger
Min: 1 • Max: 100
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (bridge_live_...). Authentication token required.

Query Parameters

statusstring

confirmed, cancelled, or both comma-separated

sort_bystring
Allowed values:startcreated_atupdated_at
orderstring
Allowed values:ascdesc

Responses

statusstring
dataarray
paginationobject